Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Cdrdao package contains CD recording utilities.
Name:      	cdrdao
Version:   	1.2.3
Release:   	2
License: 	GNU/GPL
URL:		http://cdrdao.sourceforge.net/
Group:     	Archiving/CD Burning
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: lame-devel
BuildRequires: libao-devel
BuildRequires: libgcc
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel

%description
Cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode based on a textual description of the CD contents (toc-file).

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --disable-debug
make

%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/cdrdao
%{_bindir}/cue2toc
%{_bindir}/toc2cddb
%{_bindir}/toc2cue
%{_bindir}/toc2mp3
%{_datadir}/cdrdao/drivers
%{_mandir}/man1/cdrdao.1.gz
%{_mandir}/man1/cue2toc.1.gz
%{_mandir}/man1/toc2cddb.1.gz
%{_mandir}/man1/toc2cue.1.gz

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%changelog
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-2
- rebuilt against libao 1.0.0
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version update
* Sat Jan 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.2-1
- Version update
- new libstdc++
* Sun Jun 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- Adjusted Group
* Sat Jun 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.0-1
- Version Update to 1.2.0, rebuilt spec
* Sat Apr 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.8-1
- Initial Release
